<?php
require("../../inc/header.inc");
require("../serverStatusImprove/function.inc");
?>

<?php
adjust_head();
adjust_title_head();


echo "<FORM NAME=\"downForm\" action=\"./server_status.php\" method=\"post\">";
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "Advanced > TCAP Status";
		echo "</td>";

		echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
		showHelp($helpId);
		echo "</td>";
	echo "</tr>";
	
	
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "&nbsp;";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\" title=\"back\">";
		//echo "<a href=# onClick=\"javascript:clearAll();\"><img align=absBottom border=0 src=\"../../images/delete.gif\" width=\"14\" height=\"14\">$strBlack</a>";
		echo "<a target=\"back\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
		
		echo "</td>";
	echo "</tr>";
echo "</table>";


adjust_title_tail();
adjust_content_head();



$config=parse_ini_file("../platStatus/config.ini",true);
$config_count=sizeof($config);

$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,3);


$table_title="<font color=\"#0000FF\">TCAP</font>( Version:";
$table_title.="<font color=\"#0000FF\"> {$platDetailInfo[TCAP][Version][Value]}</font>";
$table_title.=",";
$table_title.=" Status:";
$table_title.="<font color=\"{$platDetailInfo[TCAP][Status][Color]}\">{$platDetailInfo[TCAP][Status][Value]}</font>";
$table_title.=",";
$table_title.="RefreshTime:";
$table_title.="<font color=\"{$platDetailInfo[RefreshTime][Color]}\">{$platDetailInfo[RefreshTime][Value]}</font>";
$table_title.=")";


  echo "<br><b><center>$table_title</center></b><br>";
  echo "<table width=\"100%\" border=\"1\" cellpadding=\"2\" cellspacing=\"0\" bordercolor=\"#666666\" bordercolordark=\"#FFFFFF\" bgcolor=\"#FFFFFF\">";
	
	echo "<tr bgcolor=\"#E6E6E6\">";
	
	echo "<td align=\"left\" >Current Used Dialogue ID</td>";
	echo "<td align=\"left\" >Max Used Dialogue ID</td>";
	echo "</tr>";
	if(strcmp($platDetailInfo[TCAP][Status][Value],"--"))
	{
    echo "<tr>";
    echo "<td>";
    echo "<font color=\"{$platDetailInfo[TCAP][CurrentUsedDialogueID][Color]}\">{$platDetailInfo[TCAP][CurrentUsedDialogueID][Value]}</font>";
    echo "</td>";
  
    echo "<td>";
    echo "<font color=\"{$platDetailInfo[TCAP][MaxUsedDialogueID][Color]}\">{$platDetailInfo[TCAP][MaxUsedDialogueID][Value]}</font>";
    echo "</td>";
  
    echo "</tr>";
  }
  else
  {
    echo "<tr>";	
  	echo "<td>--</td> ";	
  	echo "<td>--</td> ";
  	echo "</tr>";
  }
  
  
  echo "</table>";
?>

<?php
echo "<table border=\"0\" width=\"100%\">";
	echo "<tr>";		
		//echo "<a target=\"_parent\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
    echo "<td width=\"50%\" align=\"right\" title=\"back\">";
    echo "<a target=\"Back\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
?>








